#ifndef _LIB_H
#define	_LIB_H

#define	HAVE_IPV6	1

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <sys/select.h>
#include <netdb.h>
#include <assert.h>
#include <pthread.h>
#include <sys/ipc.h>
#include <sys/msg.h>

union sockunion {
	struct sockaddr sa;                                                     
	struct sockaddr_in sin;
#ifdef HAVE_IPV6
	struct sockaddr_in6 sin6;
#endif
	struct sockaddr_storage ss;
};

#include "db.h"
#include "db_prefix.h"
#include "db_table.h"

#define TRUE    1
#define FALSE   0

#define min(a, b)       ((a<=b)?a:b)
#define max(a, b)       ((a>=b)?a:b)

#endif
