#!/usr/bin/perl
use strict;
use IO::Socket::INET;
my $MySocket=new IO::Socket::INET->new(PeerPort=>45006,
	Proto=>'udp',
	PeerAddr=>'localhost');

sub get_prefix{
	my ($ip) = @_;
	my $prefix;
	$MySocket->send($ip);
	$MySocket->recv($prefix, 20);
	return $prefix; 
}

while(<>){
	# ip volume
	my @record = split(" ", $_);
	my $target_prefix = get_prefix($record[0]);
	$target_prefix =~ s/[^\.\/0-9]//g;
	print join(" ", $target_prefix, $_);
}
